aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeonardo Martins <leonardo@venidera.com>2012-04-23 18:44:30 -0300
committerLeonardo Martins <leonardo@venidera.com>2012-04-23 18:44:30 -0300
commit2bca8d79da0afb3f7dab27d0ce2223320087b736 (patch)
tree000348319ccddf80918e0587b789035669ab697f /dev-db/neo4j-community/files
parentAdded init script to dev-db/neo4j-community (diff)
downloadvenidera-2bca8d79da0afb3f7dab27d0ce2223320087b736.tar.gz
venidera-2bca8d79da0afb3f7dab27d0ce2223320087b736.tar.bz2
venidera-2bca8d79da0afb3f7dab27d0ce2223320087b736.zip
Added restart() and info() commands to init script
Diffstat (limited to 'dev-db/neo4j-community/files')
-rw-r--r--dev-db/neo4j-community/files/neo4j.init18
1 files changed, 16 insertions, 2 deletions
diff --git a/dev-db/neo4j-community/files/neo4j.init b/dev-db/neo4j-community/files/neo4j.init
index ee577f0..846a001 100644
--- a/dev-db/neo4j-community/files/neo4j.init
+++ b/dev-db/neo4j-community/files/neo4j.init
@@ -3,18 +3,32 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+extra_commands="info"
+
+NEO4J="/opt/bin/neo4j"
+
depend() {
need net
}
start() {
ebegin "Starting neo4j"
- start-stop-daemon --start --quiet --exec /opt/bin/neo4j -- start >/dev/null 2>&1
+ start-stop-daemon --start --quiet --exec ${NEO4J} start
eend $?
}
stop() {
ebegin "Stopping neo4j"
- /opt/bin/neo4j stop >/dev/null 2>&1
+ ${NEO4J} stop >/dev/null 2>&1
eend $?
}
+
+restart() {
+ ebegin "Restarting neo4j"
+ ${NEO4J} restart >/dev/null 2>&1
+ eend $?
+}
+
+info() {
+ ${NEO4J} info
+}